---
title: orphans
slug: Web/CSS/orphans
tags:
  - CSS
  - CSS Fragmentation
  - CSS Multi-column Layout
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>orphans</code></strong> <a href="/en-US/docs/CSS">CSS</a> property sets the minimum number of lines in a block container that must be shown at the <em>bottom</em> of a <a href="/en-US/docs/Web/CSS/Paged_Media">page</a>, region, or <a href="/en-US/docs/Web/CSS/CSS_Columns">column</a>.</p>

<pre class="brush:css no-line-numbers notranslate">/* &lt;integer&gt; values */
orphans: 2;
orphans: 3;

/* Global values */
orphans: inherit;
orphans: initial;
orphans: unset;
</pre>

<p>In typography, an <em>orphan</em> is the first line of a paragraph that appears alone at the bottom of a page. (The paragraph continues on a following page.)</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt>{{cssxref("&lt;integer&gt;")}}</dt>
 <dd>The minimum number of lines that can stay by themselves at the bottom of a fragment before a fragmentation break. The value must be positive.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_a_minimum_orphan_size_of_three_lines">Setting a minimum orphan size of three lines</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;div&gt;
  &lt;p&gt;This is the first paragraph containing some text.&lt;/p&gt;
  &lt;p&gt;This is the second paragraph containing some more text than the first one. It is used to demonstrate how orphans work.&lt;/p&gt;
  &lt;p&gt;This is the third paragraph. It has a little bit more text than the first one.&lt;/p&gt;
&lt;/div&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css; highlight[5] notranslate">div {
  background-color: #8cffa0;
  height: 150px;
  columns: 3;
  orphans: 3;
}

p {
  background-color: #8ca0ff;
}

p:first-child {
  margin-top: 0;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_a_minimum_orphan_size_of_three_lines", 380, 150)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fragmentation', '#widows-orphans', 'orphans')}}</td>
   <td>{{Spec2('CSS3 Fragmentation')}}</td>
   <td>Extends <code>orphans</code> to apply to any type of fragment, including pages, regions, or columns.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'page.html#break-inside', 'orphans')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("css.properties.orphans")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("widows")}}</li>
 <li><a href="/en-US/docs/Web/CSS/Paged_Media">Paged media</a></li>
</ul>
